import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * A skeleton pretty-printing file that reads in an integer and a
 * file and creates a list of all the words in the file. This program
 * then prints each word to standard out.
 * 
 * @author Sara Sprenkle
 * 
 */
public class PrettyPrint {

    /**
     * @param args
     */
    public static void main(String[] args) {
	if (args.length < 2) {
	    System.out.println("Usage: java PrettyPrint "
			       + "<max_line_length> <text_file>");
	    System.exit(1);
	}
	
	// grab the first argument and make it an integer
	int L = Integer.parseInt(args[0]);
	
	System.out.println("You are requesting " + L + " character display");
	
	// create a file handle to the input
	BufferedReader fin = null;
	try {
	    fin = new BufferedReader(new FileReader(args[1]));
	} catch (FileNotFoundException e) {
	    e.printStackTrace();
	}
	
	// Read the file in, one line at a time
	// Parse lines into words, collect in a List of Strings
	
	List<String> words = new ArrayList<String>();

	try {
	    String line = fin.readLine();
	    while (line != null) {
		String[] lineWords = line.split(" ");
		for (String word : lineWords) {
		    if( ! word.equals("")) {
			words.add(word);
		    }
		}
		line = fin.readLine();
	    }
	} catch (IOException e) {
	    e.printStackTrace();
	}

	System.out.println("The list of words is");
		
	// iterate through the words and print them out, each on its
	// own line
	for (String word : words) {
	    System.out.println(word);
	}

	/* TODO:
	   Comment out the print statements above and solve the problem! */

    }
}
